package com.ynet.life.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.life.base.LifeAction;
import org.apache.commons.lang.StringUtils;

/* loaded from: com_ynet_life_action.jar:com/ynet/life/action/ConcatStringAction.class */
public class ConcatStringAction extends LifeAction {
    private String fillType;
    private String fillNameField;
    private String fillLengthField;
    private String fillCharField;

    public String execute(Context context) throws GENEException {
        int fillLength = Integer.parseInt(this.fillLengthField);
        String fillValue = (String) context.getDataValue(this.fillNameField);
        if (StringUtils.equals(this.fillType, "1")) {
            String tempStr = StringUtils.leftPad(fillValue, fillLength, this.fillCharField);
            context.setDataValue(this.fillNameField, tempStr);
            return "0";
        }
        String tempStr2 = StringUtils.rightPad(fillValue, fillLength, this.fillCharField);
        context.setDataValue(this.fillNameField, tempStr2);
        return "0";
    }

    public String getFillType() {
        return this.fillType;
    }

    public void setFillType(String fillType) {
        this.fillType = fillType;
    }

    public String getFillNameField() {
        return this.fillNameField;
    }

    public void setFillNameField(String fillNameField) {
        this.fillNameField = fillNameField;
    }

    public String getFillLengthField() {
        return this.fillLengthField;
    }

    public void setFillLengthField(String fillLengthField) {
        this.fillLengthField = fillLengthField;
    }

    public String getFillCharField() {
        return this.fillCharField;
    }

    public void setFillCharField(String fillCharField) {
        this.fillCharField = fillCharField;
    }
}
